The Response of the Continue Assessment API contains the next question to be asked to the user. The response contains the fields based on question components:
various components in the response are as follows:
Component Code
Description of the Component
I-ATSG
An ‘autosuggest group’ component displays matching suggestions as the user types, allowing quick selections from possible options.
I-ATSS
An ‘Autosuggest Single’ component where only a single value can be selected by the user
I-RADO
A ‘single-select’ component allows the user to choose one option from a predefined list.
I-MULT
A ‘multi-select’ component allows the user to choose multiple options from a predefined list.
I-RADG
A ‘radiogroup’ component is a group of sub questions where each question is mandatorily associated with a
Response Format
The response contains the following fields:
questions: List of questions
qid: Question ID
component_code: Component code
question_text: Question text
tip: Tip for the user
component_data: Component specific data. Refer to the below section for more details
is_mandatory: True/False to show whether the question is mandatory to answer or not
progress: Progress of the assessment
is_last_question: True/False to show whether the question is the last question or not
Component Data For Each Component Types
I-ATSG
Single-Select(I-RADO)
Multi-Select(I-MULT)
Radio Group(I-RADG)
component_data for I-ATSG
- url: URL to fetch the autosuggest data - base_url: Base URL - query_params: Query parameters - search_query_param: Search query parameter - autosuggest_static_choices: List of static choices - sections: Sections of the autosuggest static choices - section_title: Title of the section - choices: List of choices - id: Unique choice identifier for the choice - common_name: Choice label to be displayed on the UI - is_selected: True/False to show whether the choice is pre-selected or not
- choices: List of choices - choice_id: Unique choice identifier for the choice - choice_label: Choice label to be displayed on the UI - is_selected: True/False to show whether the choice is pre-selected or not
Example of entire question for I-RADO
{ "questions": [ { "qid": 2, "component_code": "I-RADO", "question_text": "Since when have you been experiencing fever", "tip": "Select one of the options", "component_data": { "choices": [ { "choice_id": "s_47259d92-a65c-11eb-8d02-1e003a340630", "choice_label": "Less than 1 day" }, { "choice_id": "s_4725b232-a65c-11eb-8d02-1e003a340630", "choice_label": "1 day to 4 days" }, { "choice_id": "s_4725c6a0-a65c-11eb-8d02-1e003a340630", "choice_label": "More than 4 days" }, { "choice_id": "d_0e1592a4-e8c5-11eb-a89e-1e003a340631", "choice_label": "I am not sure" } ] } } ], "progress": "15.38", "is_last_question": false}
component_data for I-MULT
- choices: List of choices - choice_id: Unique choice identifier for the choice - choice_label: Choice label to be displayed on the UI - is_selected: True/False to show whether the choice is pre-selected or not
Example of entire question for I-MULT
{ "questions": [ { "qid": 1, "component_code": "I-MULT", "question_text": "Select all the symptoms you are experiencing", "tip": "Select all option(s) that are applicable to you.", "component_data": { "choices": [ { "choice_id": "s_473b48a4-a65c-11eb-8d02-1e003a340630", "choice_label": "Throat pain" }, { "choice_id": "s_475b7ca0-a65c-11eb-8d02-1e003a340630", "choice_label": "Body aches" }, { "choice_id": "s_4739c8bc-a65c-11eb-8d02-1e003a340630", "choice_label": "Loss of weight" }, { "choice_id": "s_1fd50722-af36-11eb-8fc3-1e003a340631", "choice_label": "Runny nose or discharge from nose" }, { "choice_id": "s_4784e554-a65c-11eb-8d02-1e003a340630", "choice_label": "Loss of sense of smell" }, { "choice_id": "nota", "choice_label": "None of the above" } ] } } ], "progress": "7.69", "is_last_question": false}
component_data for I-RADG
- choices: List of choices - choice_id: Unique choice identifier for the choice - choice_label: Choice label to be displayed on the UI - qualifier: Qualifier for the choice - id: Qualifier ID (p/a/u) - label: Qualifier label to be displayed on the UI - is_selected: True/False to show whether the choice is pre-selected or not
Example of entire question for I-RADG
{ "questions": [ { "qid": 11, "component_code": "I-RADG", "question_text": "Have you lost your sense of taste and feel like you can't get the taste of food that you are consuming?\"", "tip": "Select one answer in each row.", "component_data": { "choices": [ { "choice_id": "s_344147d6-b416-11eb-8c69-1e003a340631", "choice_label": "Loss of taste", "qualifier": [ { "id": "p", "label": "Yes" }, { "id": "a", "label": "No" }, { "id": "u", "label": "Don't Know" } ] } ] } } ], "progress": "84.62", "is_last_question": false}
Please refer to the List Component API to get the request and response formats of each component with their json schema to validate your data against.
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Eka Developer Platform APIs","colors":{"primary":"#5B45C9","light":"#B6A8FF","dark":"#5B45C9"},"logo":{"light":"https://cdn.eka.care/vagus/clzwrv3o600260ti3bg9q1det.png","dark":"https://cdn.eka.care/vagus/clzws1tfc00270ti3eiwn5jo5.png"},"favicon":"https://mintcdn.com/ekacare/uZX0UtACdJOcX7uJ/favicon.svg?fit=max\u0026auto=format\u0026n=uZX0UtACdJOcX7uJ\u0026q=85\u0026s=9ecadef0a25715531f08b66c68c31915","api":{"examples":{"languages":["bash","python","typescript","java","csharp","ruby"]}},"background":{"color":{"light":"#FAFAF9","dark":"#0A0A0A"}},"navbar":{"links":[{"icon":"hammer","href":"/developer-tools","label":"Developer tools"},{"icon":"/images/icons/github.svg","href":"https://github.com/eka-care","label":"GitHub"},{"icon":"/images/icons/huggingface.svg","href":"https://huggingface.co/ekacare","label":"Hugging Face"},{"icon":"/images/icons/discord.svg","href":"https://discord.gg/THgd5S22EK","label":"Discord"}],"primary":{"type":"button","label":"Build Now","href":"https://console.eka.care"}},"footer":{"socials":{"x":"https://x.com/ekacarehq","github":"https://github.com/eka-care","linkedin":"https://www.linkedin.com/company/ekacare","discord":"https://discord.gg/THgd5S22EK","website":"https://www.eka.care"},"links":[{"header":"Solutions","items":[{"label":"Medical Scribe","href":"/docs/scribe/overview"},{"label":"Medical Document Parsing","href":"/docs/models/medical-document-parsing"},{"label":"Clinical MCP","href":"/docs/datasets/build-with-ai/mcp-server/introduction"},{"label":"ABDM Connect","href":"/docs/hie-cm/about"}]},{"header":"Resources","items":[{"label":"Get started","href":"/docs/get-started/overview"},{"label":"Cookbook","href":"/docs/get-started/cookbook"},{"label":"Auth","href":"/docs/auth/invite-flow"},{"label":"Encryption","href":"/docs/encryption/guide"},{"label":"Eka MCP","href":"/docs/emr/build-with-ai/mcp-server/introduction"},{"label":"Developer tools","href":"/developer-tools"}]},{"header":"Newsboard","items":[{"label":"Eka Labs","href":"/docs/models/spotlight"},{"label":"Under the hood","href":"/docs/get-started/under-the-hood"},{"label":"Changelog","href":"/docs/get-started/changelog"}]},{"header":"Community","items":[{"label":"GitHub","href":"https://github.com/eka-care"},{"label":"Hugging Face","href":"https://huggingface.co/ekacare"},{"label":"Discord","href":"https://discord.gg/THgd5S22EK"},{"label":"eka.care","href":"https://www.eka.care"}]}]},"fonts":{"heading":{"family":"Newsreader","weight":420},"body":{"family":"Geist"}},"icons":{"library":"fontawesome"},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"interaction":{"drilldown":false},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"ekacare","hasAudioNarration":false,"actualSubdomain":"ekacare","customDomains":["developer.eka.care"],"gitSource":{"type":"github","owner":"eka-care","repo":"eka-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":false,"issues":false},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6afc068b857fea5d53b1126f","clientVersion":"0.0.4270","searchFilterCounts":[{"language":"default","tag":"APIs \u0026 SDKs","count":461},{"language":"default","tag":"Build","count":322},{"language":"default","tag":"Eka EMR","count":322},{"language":"default","tag":"HIE-CM","count":222},{"language":"default","tag":"ABDM Connect","count":204},{"language":"default","tag":"IPD","count":169},{"language":"default","tag":"Documentation","count":164},{"language":"default","tag":"HIE-CM API","count":95},{"language":"default","tag":"Eka EMR API","count":83},{"language":"default","tag":"Workflows","count":64}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"/* cyrillic-ext */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 400 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrodmgPn.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 400 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrMdmgPn.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* symbols2 */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 400 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFg08vz7ehw.woff2) format('woff2');\n unicode-range: U+2000-2001, U+2004-2008, U+200A, U+23B8-23BD, U+2500-259F;\n}\n/* vietnamese */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 400 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrgdmgPn.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 400 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrkdmgPn.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Geist Mono';\n font-style: normal;\n font-weight: 400 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/geistmono/v6/or3nQ6H-1_WfwkMZI_qYFrcdmg.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n:root{--eka-accent: #98B4FC;--eka-accent-ink: #4C7EFE;--eka-lilac: #5B45C9;--eka-lilac-tint: rgba(124, 92, 255, .12);--eka-lilac-edge: rgba(124, 92, 255, .22);--eka-lilac-hover: rgba(124, 92, 255, .18);--eka-neutral-edge: #D4D4D0;--eka-accent-wash: rgba(33, 95, 255, .07);--eka-heading: color-mix(in srgb, #141413 70%, #215FFF);--eka-line: #E7E7E4;--eka-surface: #FFFFFF;--eka-dot: rgba(147, 147, 142, .156);--eka-mono: \"Geist Mono\", ui-monospace, \"SF Mono\", monospace}.dark{--eka-accent: #445C9D;--eka-accent-ink: #6B93FF;--eka-lilac: #B6A8FF;--eka-lilac-tint: rgba(160, 140, 255, .14);--eka-lilac-edge: rgba(160, 140, 255, .25);--eka-lilac-hover: rgba(160, 140, 255, .20);--eka-neutral-edge: rgba(255, 255, 255, .18);--eka-accent-wash: rgba(107, 147, 255, .07);--eka-heading: color-mix(in srgb, #EDEDEC 70%, #6B93FF);--eka-line: rgba(255, 255, 255, .08);--eka-surface: #111111;--eka-dot: rgba(255, 255, 255, .054)}#background-color::after{content:\"\";position:absolute;inset:0;pointer-events:none;background-image:radial-gradient(circle, var(--eka-dot) .95px, transparent 1.25px);background-size:24px 24px;-webkit-mask-image:radial-gradient(ellipse 75% 70% at 50% 40%, #000 30%, transparent 100%);mask-image:radial-gradient(ellipse 75% 70% at 50% 40%, #000 30%, transparent 100%)}#page-title,#content :is(h1,h2,h3,h4){font-weight:420!important;font-optical-sizing:auto;color:var(--eka-heading)!important;letter-spacing:.012em!important}body{letter-spacing:.015em}#sidebar{border-right:1px solid var(--eka-line)}#content-side-layout{border-left:1px solid var(--eka-line)}#content>h2{position:relative;margin-top:3.5rem;padding-top:2.5rem}#content>h2::before{content:\"\";position:absolute;top:0;left:0;right:0;height:5px;pointer-events:none;background:linear-gradient(var(--eka-line), var(--eka-line)) 0 0 / 100% 1px no-repeat,\n linear-gradient(var(--eka-line), var(--eka-line)) 0 100% / 100% 1px no-repeat}@media (min-width: 1024px){#content>h2::before{left:-43px;right:-4px}}@media (min-width: 1280px){#content>h2::before{right:-52px}}#content a.link:not(.eka-postman-btn){color:var(--eka-accent-ink)!important;border-bottom-color:color-mix(in srgb, var(--eka-accent-ink) 45%, transparent)!important}#content a.link:not(.eka-postman-btn):hover{border-bottom-color:var(--eka-accent-ink)!important}#topbar-cta-button a>span:first-child{background:var(--eka-lilac-tint)!important;box-shadow:inset 0 0 0 1px var(--eka-lilac-edge)}#topbar-cta-button a :is(span,svg){color:var(--eka-lilac)!important}#topbar-cta-button a{height:32px;padding:0 14px!important;font-size:13px!important;font-weight:500;align-items:center}#topbar-cta-button a>span:first-child{border-radius:999px!important}#topbar-cta-button a:hover>span:first-child{background:var(--eka-lilac-hover)!important;opacity:1!important}#topbar-cta-button a>div>svg{display:none!important}#content :is(code,pre),[data-component-part=\"code-block-root\"]{font-family:var(--eka-mono);letter-spacing:normal}.callout:is([data-callout-type=\"note\"],[data-callout-type=\"info\"]){border:1px solid var(--eka-line)!important;border-left:2px solid var(--eka-accent)!important;border-radius:0 12px 12px 0!important;background:var(--eka-surface)!important}.callout:is([data-callout-type=\"note\"],[data-callout-type=\"info\"]) [data-component-part=\"callout-icon\"]{color:var(--eka-accent-ink)}#content .card{border-color:var(--eka-line)!important;transition:border-color .15s ease, transform .15s ease}#content a.card:hover,#content a:hover>.card{border-color:var(--eka-accent)!important;transform:translateY(-2px)}#content [data-component-part=\"card-icon\"]{color:var(--eka-accent-ink)!important;fill:var(--eka-accent-ink)!important}[data-component-part=\"step-indicator\"]{background:var(--eka-surface)!important;box-shadow:inset 0 0 0 1px var(--eka-accent)!important;color:var(--eka-accent-ink)!important;font-family:var(--eka-mono)}.eka-card-wrapper{border-radius:14px;transition:transform 0.15s ease}.eka-card-wrapper:hover{transform:translateY(-3px)}.eka-card-wrapper:hover>*{box-shadow:0 12px 28px rgba(94, 106, 152, 0.16);border-color:var(--eka-accent)}.eka-divider{border:none;border-top:1px solid var(--eka-line);margin:48px 0}.eka-tags{display:inline;margin-left:6px;white-space:normal}.eka-tag{display:inline-block;font-size:11px;font-weight:500;line-height:1;padding:3px 7px;border-radius:6px;margin:0 0 2px 4px;vertical-align:middle;white-space:nowrap;color:#6B7280;background:rgba(107, 114, 128, 0.10)}.dark .eka-tag{color:#9CA3AF;background:rgba(156, 163, 175, 0.14)}.eka-postman{border:1px solid rgba(17, 24, 39, 0.10);border-radius:14px;padding:20px 24px;margin:16px 0 24px}.eka-postman-text{font-size:15px;line-height:1.6;color:#4B5563}.eka-postman-actions{display:flex;flex-wrap:wrap;gap:12px;margin:16px 0}.eka-postman-btn{display:inline-flex;align-items:center;gap:8px;padding:8px 16px;border:1px solid var(--eka-neutral-edge);border-radius:8px;font-size:15px;font-weight:500;color:#141413;background:transparent;text-decoration:none;transition:background 0.15s ease}.eka-postman-btn:hover{background:rgba(20, 20, 19, .04)}.eka-postman-btn-primary{color:var(--eka-lilac);background:var(--eka-lilac-tint);border-color:var(--eka-lilac-edge)}.eka-postman-btn-primary:hover{background:rgba(124, 92, 255, .18)}.eka-postman-link{display:flex;align-items:center;gap:12px;padding:10px 12px;border:1px solid rgba(17, 24, 39, 0.10);border-radius:10px;background:rgba(17, 24, 39, 0.03)}.eka-postman-link code{flex:1;min-width:0;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;font-size:13px;padding:6px 8px;border-radius:6px;background:rgba(17, 24, 39, 0.05)}.eka-postman-link button{flex-shrink:0;display:inline-flex;padding:4px;font-size:13px;color:#6B7280;background:none;border:none;cursor:pointer}.eka-postman-link button:hover{color:var(--eka-accent-ink)}.eka-postman-note{margin-top:12px;font-size:14px;color:#6B7280}.eka-postman-error{margin:-4px 0 12px;font-size:14px;color:#B42318}.dark .eka-postman-error{color:#F97066}.dark .eka-postman{border-color:rgba(255, 255, 255, 0.12)}.dark .eka-postman-text{color:#D1D5DB}.dark .eka-postman-btn{color:#EDEDEC;border-color:var(--eka-neutral-edge)}.dark .eka-postman-btn:hover{background:rgba(255, 255, 255, .05)}.dark .eka-postman-btn-primary{color:var(--eka-lilac);background:var(--eka-lilac-tint);border-color:var(--eka-lilac-edge)}.dark .eka-postman-btn-primary:hover{background:rgba(160, 140, 255, .20)}.dark .eka-postman-link{border-color:rgba(255, 255, 255, 0.12);background:rgba(255, 255, 255, 0.04)}.dark .eka-postman-link code{color:#E5E7EB;background:rgba(255, 255, 255, 0.06)}.dark .eka-postman-link button,.dark .eka-postman-note{color:#9CA3AF}[data-component-part=\"products-selector-content\"]{--ps-line: #E7E7E4;--ps-ink: #141413;--ps-ink-3: #93938E;--ps-bg: #FAFAF9;--ps-surface: #FFFFFF;background:var(--ps-surface)!important;border:1px solid var(--ps-line);border-radius:16px!important;padding:14px!important;box-shadow:0 1px 2px rgba(20, 20, 19, .04), 0 24px 48px rgba(20, 20, 19, .10)!important}.dark [data-component-part=\"products-selector-content\"]{--ps-line: rgba(255, 255, 255, .08);--ps-ink: #EDEDEC;--ps-ink-3: #6B6B68;--ps-bg: #0A0A0A;--ps-surface: #111111}[data-component-part=\"products-selector-content\"]>div{--fam: #64748B}[data-component-part=\"products-selector-content\"]>div:nth-child(1){--fam: #7C5CFF}[data-component-part=\"products-selector-content\"]>div:nth-child(2){--fam: #215FFF}[data-component-part=\"products-selector-content\"]>div:nth-child(3){--fam: #E8650A}.dark [data-component-part=\"products-selector-content\"]>div{--fam: #A3B1C6}.dark [data-component-part=\"products-selector-content\"]>div:nth-child(1){--fam: #A08CFF}.dark [data-component-part=\"products-selector-content\"]>div:nth-child(2){--fam: #6B93FF}.dark [data-component-part=\"products-selector-content\"]>div:nth-child(3){--fam: #FF9248}[data-component-part=\"products-selector-content\"]>div>div:first-child{width:13rem!important}@media (max-width: 960px){[data-component-part=\"products-selector-content\"]>div>div:first-child{width:100%!important}}[data-component-part=\"products-selector-content\"]>div>div:first-child>div:first-child{gap:7px;margin:4px 0 6px;padding:0 10px!important;font-family:ui-monospace, \"SF Mono\", \"Geist Mono\", monospace;font-size:.64rem!important;font-weight:400!important;letter-spacing:.08em;text-transform:uppercase;color:var(--ps-ink-3)!important}[data-component-part=\"products-selector-content\"]>div>div:first-child>div:first-child::before{content:\"\";width:7px;height:7px;flex:none;border-radius:50%;background:var(--fam)}[data-component-part=\"products-selector-item\"]{grid-template-columns:30px 1fr auto!important;align-items:flex-start!important;gap:11px!important;padding:8px 10px!important;border-radius:10px!important}[data-component-part=\"products-selector-item\"]:hover,[data-component-part=\"products-selector-item\"]:focus-visible{background:color-mix(in srgb, var(--ps-ink) 4.5%, transparent)!important}.nav-dropdown-products-selector-item-icon{position:relative;width:30px;height:30px;border:1px solid var(--ps-line);border-radius:9px;background:var(--ps-bg)}.nav-dropdown-products-selector-item-icon img{opacity:0;width:15px!important;height:15px!important}.nav-dropdown-products-selector-item-icon::after{content:\"\";position:absolute;inset:0;margin:auto;width:15px;height:15px;background-color:var(--fam);mask-repeat:no-repeat;mask-position:center;mask-size:contain;-webkit-mask-repeat:no-repeat;-webkit-mask-position:center;-webkit-mask-size:contain}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/mic.svg\"])::after{mask-image:url(\"/images/icons/products/mic.svg\");-webkit-mask-image:url(\"/images/icons/products/mic.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/plug.svg\"])::after{mask-image:url(\"/images/icons/products/plug.svg\");-webkit-mask-image:url(\"/images/icons/products/plug.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/stethoscope.svg\"])::after{mask-image:url(\"/images/icons/products/stethoscope.svg\");-webkit-mask-image:url(\"/images/icons/products/stethoscope.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/bot.svg\"])::after{mask-image:url(\"/images/icons/products/bot.svg\");-webkit-mask-image:url(\"/images/icons/products/bot.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/brain-circuit.svg\"])::after{mask-image:url(\"/images/icons/products/brain-circuit.svg\");-webkit-mask-image:url(\"/images/icons/products/brain-circuit.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/database.svg\"])::after{mask-image:url(\"/images/icons/products/database.svg\");-webkit-mask-image:url(\"/images/icons/products/database.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/clipboard-list.svg\"])::after{mask-image:url(\"/images/icons/products/clipboard-list.svg\");-webkit-mask-image:url(\"/images/icons/products/clipboard-list.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/bed-double.svg\"])::after{mask-image:url(\"/images/icons/products/bed-double.svg\");-webkit-mask-image:url(\"/images/icons/products/bed-double.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/receipt.svg\"])::after{mask-image:url(\"/images/icons/products/receipt.svg\");-webkit-mask-image:url(\"/images/icons/products/receipt.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/folder-heart.svg\"])::after{mask-image:url(\"/images/icons/products/folder-heart.svg\");-webkit-mask-image:url(\"/images/icons/products/folder-heart.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/arrow-left-right.svg\"])::after{mask-image:url(\"/images/icons/products/arrow-left-right.svg\");-webkit-mask-image:url(\"/images/icons/products/arrow-left-right.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/shield-check.svg\"])::after{mask-image:url(\"/images/icons/products/shield-check.svg\");-webkit-mask-image:url(\"/images/icons/products/shield-check.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/network.svg\"])::after{mask-image:url(\"/images/icons/products/network.svg\");-webkit-mask-image:url(\"/images/icons/products/network.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/rocket.svg\"])::after{mask-image:url(\"/images/icons/products/rocket.svg\");-webkit-mask-image:url(\"/images/icons/products/rocket.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/key-round.svg\"])::after{mask-image:url(\"/images/icons/products/key-round.svg\");-webkit-mask-image:url(\"/images/icons/products/key-round.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/webhook.svg\"])::after{mask-image:url(\"/images/icons/products/webhook.svg\");-webkit-mask-image:url(\"/images/icons/products/webhook.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/lock.svg\"])::after{mask-image:url(\"/images/icons/products/lock.svg\");-webkit-mask-image:url(\"/images/icons/products/lock.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/code.svg\"])::after{mask-image:url(\"/images/icons/products/code.svg\");-webkit-mask-image:url(\"/images/icons/products/code.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/messages-square.svg\"])::after{mask-image:url(\"/images/icons/products/messages-square.svg\");-webkit-mask-image:url(\"/images/icons/products/messages-square.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/compass.svg\"])::after{mask-image:url(\"/images/icons/products/compass.svg\");-webkit-mask-image:url(\"/images/icons/products/compass.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/flask-conical.svg\"])::after{mask-image:url(\"/images/icons/products/flask-conical.svg\");-webkit-mask-image:url(\"/images/icons/products/flask-conical.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/history.svg\"])::after{mask-image:url(\"/images/icons/products/history.svg\");-webkit-mask-image:url(\"/images/icons/products/history.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/activity.svg\"])::after{mask-image:url(\"/images/icons/products/activity.svg\");-webkit-mask-image:url(\"/images/icons/products/activity.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/git-branch.svg\"])::after{mask-image:url(\"/images/icons/products/git-branch.svg\");-webkit-mask-image:url(\"/images/icons/products/git-branch.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/chef-hat.svg\"])::after{mask-image:url(\"/images/icons/products/chef-hat.svg\");-webkit-mask-image:url(\"/images/icons/products/chef-hat.svg\")}.nav-dropdown-products-selector-item-icon:has(img[src$=\"/package.svg\"])::after{mask-image:url(\"/images/icons/products/package.svg\");-webkit-mask-image:url(\"/images/icons/products/package.svg\")}.dark [data-component-part=\"products-selector-trigger\"]>img{filter:invert(1);opacity:.85}.nav-dropdown-products-selector-item-title{font-size:.84rem!important;font-weight:550!important;color:var(--ps-ink)!important}.nav-dropdown-products-selector-item-description{font-size:.74rem!important;line-height:1.4;margin-top:1px;color:var(--ps-ink-3)!important;white-space:normal!important;-webkit-line-clamp:2!important;line-clamp:2!important}[data-component-part=\"products-selector-item\"][data-selected=\"true\"] .nav-dropdown-products-selector-item-icon{border-color:color-mix(in srgb, var(--fam) 45%, transparent);background:color-mix(in srgb, var(--fam) 12%, var(--ps-surface))}#navigation-items .sidebar-group-header{gap:0!important;padding-left:1rem}#navigation-items .sidebar-group-header :is(svg,img){display:none!important}#navigation-items .sidebar-title{font-family:ui-monospace, \"SF Mono\", \"Geist Mono\", monospace!important;font-size:.66rem!important;font-weight:500!important;letter-spacing:.08em;text-transform:uppercase;color:#93938E!important}.dark #navigation-items .sidebar-title{color:#6B6B68!important}#navigation-items>div+div{margin-top:1.25rem!important}#navigation-items ul.sidebar-group li>ul{margin-left:1.45rem;padding-left:.5rem;border-left:1px solid #E7E7E4}.dark #navigation-items ul.sidebar-group li>ul{border-left-color:rgba(255, 255, 255, .08)}#navigation-items ul.sidebar-group li>ul :is(svg,img){width:14px!important;height:14px!important;opacity:.7}.eka-qs{border:1px solid #E7E7E4;border-radius:16px;background:#FFFFFF;padding:20px 24px 16px;margin:16px 0 28px;color:#1F2937;font-size:15px;line-height:1.55}.eka-qs code{font-size:13px;padding:1px 5px;border-radius:5px;background:rgba(17, 24, 39, 0.05)}.eka-qs a{color:#215FFF;text-decoration:underline;text-underline-offset:2px}.eka-qs-stepper{display:flex;gap:0;list-style:none;margin:0 0 12px;padding:0 0 4px;overflow-x:auto}.eka-qs-stepper-item{display:flex;align-items:flex-start;flex:1 0 auto;margin:0;padding:0}.eka-qs-stepper-item+.eka-qs-stepper-item::before{content:\"\";flex:1 0 16px;height:1px;margin:18px 6px 0;background:#E7E7E4}.eka-qs-stepper-btn{display:flex;flex-direction:column;align-items:center;gap:6px;min-width:72px;padding:0;border:none;background:none;color:inherit;font:inherit;cursor:pointer}.eka-qs-stepper-btn:disabled{cursor:default}.eka-qs-circle{display:inline-flex;align-items:center;justify-content:center;width:36px;height:36px;border-radius:50%;border:1px solid #E7E7E4;background:#FFFFFF;color:#6B7280;font-size:14px;font-weight:600}.eka-qs-stepper-label{font-size:13px;color:#6B7280;text-align:center;white-space:nowrap}.eka-qs-current .eka-qs-circle{background:#215FFF;border-color:#215FFF;color:#FFFFFF}.eka-qs-current .eka-qs-stepper-label{color:#111827;font-weight:700}.eka-qs-done .eka-qs-circle{border-color:#215FFF;color:#215FFF}.eka-qs-status{min-height:1.5em;margin:4px 0 12px;font-size:14px;color:#4B5563}.eka-qs-status-ok{color:#067647}.eka-qs-status-error{color:#B42318}.eka-qs-status-info{color:#1D4ED8}.eka-qs-form{display:flex;flex-direction:column;gap:14px}.eka-qs-form form{display:flex;flex-direction:column;gap:14px}.eka-qs-title{margin:0;font-size:17px;font-weight:600;color:#111827}.eka-qs-lede{margin:-6px 0 0;color:#4B5563}.eka-qs-field{display:flex;flex-direction:column;gap:6px}.eka-qs-label{font-size:14px;font-weight:500;color:#111827}.eka-qs-pill{display:inline-block;margin-left:6px;padding:1px 8px;border-radius:999px;font-size:11px;font-weight:600;vertical-align:middle;color:#B54708;background:#FEF0C7}.eka-qs-input{width:100%;box-sizing:border-box;padding:9px 12px;border:1px solid #D0D5DD;border-radius:10px;background:#FFFFFF;color:#111827;font:inherit}.eka-qs-input:focus{outline:2px solid rgba(33, 95, 255, 0.35);outline-offset:1px;border-color:#215FFF}.eka-qs-secret{display:flex;gap:8px}.eka-qs-secret .eka-qs-input{flex:1;min-width:0}.eka-qs-reveal{flex-shrink:0;padding:0 14px;border:1px solid #D0D5DD;border-radius:10px;background:#FFFFFF;color:#374151;font-size:13px;cursor:pointer}.eka-qs-hint{margin:0;font-size:13px;color:#6B7280}.eka-qs-btn{align-self:flex-start;padding:9px 18px;border:1px solid #215FFF;border-radius:10px;background:#215FFF;color:#FFFFFF;font:inherit;font-weight:600;cursor:pointer}.eka-qs-btn:hover:not(:disabled){background:#1A4FD6}.eka-qs-btn:disabled{opacity:0.5;cursor:not-allowed}.eka-qs-btn-quiet{background:#FFFFFF;color:#215FFF}.eka-qs-btn-quiet:hover:not(:disabled){background:rgba(33, 95, 255, 0.06)}.eka-qs-chips{display:flex;flex-wrap:wrap;gap:8px}.eka-qs-chip{padding:5px 12px;border:1px solid #D0D5DD;border-radius:999px;background:#FFFFFF;color:#111827;font-size:14px;cursor:pointer}.eka-qs-chip-on{border-color:#215FFF;color:#215FFF;background:rgba(33, 95, 255, 0.06)}.eka-qs-callout,.eka-qs-result{padding:12px 16px;border:1px solid #E7E7E4;border-radius:12px;background:#F9FAFB}.eka-qs-callout p,.eka-qs-result p{margin:0 0 8px}.eka-qs-callout p:last-child,.eka-qs-result p:last-child{margin-bottom:0}.eka-qs-callout ul{margin:0 0 8px;padding-left:20px}.eka-qs-result dl{display:grid;gap:6px;margin:0 0 12px}.eka-qs-result dl div{display:flex;flex-wrap:wrap;gap:4px 12px}.eka-qs-result dt{min-width:110px;font-weight:600;color:#374151}.eka-qs-result dd{margin:0;font-family:ui-monospace, SFMono-Regular, Menlo, monospace;word-break:break-all}.eka-qs-log{display:flex;flex-direction:column;gap:12px}.eka-qs-exchange{display:grid;grid-template-columns:minmax(0, 1fr) minmax(0, 1fr);gap:12px}.eka-qs-panel{min-width:0}.eka-qs-panel-label{display:flex;align-items:center;gap:8px;margin:0 0 4px;font-size:12px;font-weight:600;text-transform:uppercase;letter-spacing:0.04em;color:#6B7280}.eka-qs-pre{margin:0;max-height:320px;overflow:auto;padding:10px 12px;border:1px solid #E7E7E4;border-radius:10px;background:#F9FAFB;color:#1F2937;font-family:ui-monospace, SFMono-Regular, Menlo, monospace;font-size:12.5px;line-height:1.5;white-space:pre-wrap;word-break:break-word}.eka-qs-code{padding:1px 7px;border-radius:999px;font-size:11px;letter-spacing:0}.eka-qs-code-ok{color:#067647;background:#DCFAE6}.eka-qs-code-bad{color:#B42318;background:#FEE4E2}.eka-qs-note{margin:6px 0 0;font-size:13px;color:#6B7280}.eka-qs-footer{display:flex;flex-wrap:wrap;align-items:center;justify-content:space-between;gap:8px;margin-top:18px;padding-top:12px;border-top:1px solid #E7E7E4}.eka-qs-sandbox{font-family:ui-monospace, SFMono-Regular, Menlo, monospace;font-size:12px;color:#6B7280}@media (max-width: 640px){.eka-qs{padding:16px}.eka-qs-exchange{grid-template-columns:minmax(0, 1fr)}.eka-qs-stepper-btn{min-width:64px}}.dark .eka-qs{background:#0F1117;border-color:rgba(255, 255, 255, 0.12);color:#E5E7EB}.dark .eka-qs code{background:rgba(255, 255, 255, 0.08)}.dark .eka-qs a{color:#7DA2FF}.dark .eka-qs-stepper-item+.eka-qs-stepper-item::before{background:rgba(255, 255, 255, 0.12)}.dark .eka-qs-circle{background:#0F1117;border-color:rgba(255, 255, 255, 0.18);color:#9CA3AF}.dark .eka-qs-stepper-label,.dark .eka-qs-hint,.dark .eka-qs-note,.dark .eka-qs-sandbox,.dark .eka-qs-panel-label{color:#9CA3AF}.dark .eka-qs-current .eka-qs-circle{background:#215FFF;border-color:#215FFF;color:#FFFFFF}.dark .eka-qs-current .eka-qs-stepper-label,.dark .eka-qs-title,.dark .eka-qs-label{color:#F9FAFB}.dark .eka-qs-done .eka-qs-circle{border-color:#7DA2FF;color:#7DA2FF}.dark .eka-qs-lede,.dark .eka-qs-status{color:#D1D5DB}.dark .eka-qs-status-ok{color:#75E0A7}.dark .eka-qs-status-error{color:#F97066}.dark .eka-qs-status-info{color:#93B4FF}.dark .eka-qs-pill{color:#FEC84B;background:rgba(254, 200, 75, 0.14)}.dark .eka-qs-input,.dark .eka-qs-reveal,.dark .eka-qs-chip{background:#161922;border-color:rgba(255, 255, 255, 0.16);color:#F3F4F6}.dark .eka-qs-btn-quiet{background:transparent;color:#7DA2FF;border-color:#7DA2FF}.dark .eka-qs-chip-on{border-color:#7DA2FF;color:#7DA2FF;background:rgba(125, 162, 255, 0.10)}.dark .eka-qs-callout,.dark .eka-qs-result,.dark .eka-qs-pre{background:rgba(255, 255, 255, 0.04);border-color:rgba(255, 255, 255, 0.12);color:#E5E7EB}.dark .eka-qs-result dt{color:#D1D5DB}.dark .eka-qs-code-ok{color:#75E0A7;background:rgba(117, 224, 167, 0.12)}.dark .eka-qs-code-bad{color:#F97066;background:rgba(249, 112, 102, 0.12)}.dark .eka-qs-footer{border-top-color:rgba(255, 255, 255, 0.12)}#navbar a[href^=\"https://discord.gg/\"]>span{display:none!important}#navbar a[href^=\"https://discord.gg/\"]>svg{width:18px;height:18px}#navbar a[href=\"/developer-tools\"]>span,#navbar a[href=\"https://github.com/eka-care\"]>span,#navbar a[href=\"https://huggingface.co/ekacare\"]>span,#navbar a[href=\"https://discord.gg/THgd5S22EK\"]>span{position:absolute;width:1px;height:1px;overflow:hidden;clip:rect(0 0 0 0);white-space:nowrap}#navbar a[href=\"/developer-tools\"],#navbar a[href=\"https://github.com/eka-care\"],#navbar a[href=\"https://huggingface.co/ekacare\"],#navbar a[href=\"https://discord.gg/THgd5S22EK\"]{padding:6px;border-radius:8px}#navbar a[href=\"https://github.com/eka-care\"] img,#navbar a[href=\"https://huggingface.co/ekacare\"] img,#navbar a[href=\"https://discord.gg/THgd5S22EK\"] img{opacity:.8}.dark #navbar a[href=\"https://github.com/eka-care\"] img,.dark #navbar a[href=\"https://huggingface.co/ekacare\"] img,.dark #navbar a[href=\"https://discord.gg/THgd5S22EK\"] img{filter:invert(1)}#footer{background:color-mix(in srgb, #7C5CFF 7%, transparent)}.eka-footmark{width:100%;max-width:1080px;display:flex;flex-wrap:wrap;align-items:center;justify-content:space-between;gap:8px;padding:18px 32px 28px;border-top:1px solid rgba(124, 92, 255, .22);font-size:.8rem;color:rgb(var(--gray-500))}.eka-footmark b{font-weight:500;color:rgb(var(--gray-900))}.dark .eka-footmark b{color:rgb(var(--gray-100))}.eka-footmark span{display:inline-flex;align-items:center;gap:8px}.eka-heart{display:inline-flex;transition:transform .2s}.eka-heart:hover{transform:scale(1.15)}html[data-current-path=\"/\"]:not(:has(.eka-landing)) body>*{visibility:hidden}html[data-current-path=\"/\"]:not(:has(.eka-landing)) body{background:#FAFAF9}html.dark[data-current-path=\"/\"]:not(:has(.eka-landing)) body{background:#0A0A0A}"}]}
{"page":{"pagePath":"api-reference/health-ai/assessment/assessment-flow/continue/continue-response-formats","slug":"/api-reference/health-ai/assessment/assessment-flow/continue/continue-response-formats","pageMetadata":{"title":"Continue Assessment Response Format","description":null,"href":"/api-reference/health-ai/assessment/assessment-flow/continue/continue-response-formats"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,hr:`hr`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{Card,CodeBlock,Heading,Tab,Table,Tabs,Tip,Tooltip}=_components;if(!Card)_missingMdxReference(`Card`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Tab)_missingMdxReference(`Tab`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Tabs)_missingMdxReference(`Tabs`,true);if(!Tip)_missingMdxReference(`Tip`,true);if(!Tooltip)_missingMdxReference(`Tooltip`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`The Response of the Continue Assessment API contains the next question to be asked to the user. The response contains the fields based on question components:\nvarious components in the response are as follows:`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Component Code`}),_jsx(_components.th,{children:`Description of the Component`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`I-ATSG`}),_jsx(_components.td,{children:`An ‘autosuggest group’ component displays matching suggestions as the user types, allowing quick selections from possible options.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`I-ATSS`}),_jsx(_components.td,{children:`An ‘Autosuggest Single’ component where only a single value can be selected by the user`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`I-RADO`}),_jsx(_components.td,{children:`A ‘single-select’ component allows the user to choose one option from a predefined list.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`I-MULT`}),_jsx(_components.td,{children:`A ‘multi-select’ component allows the user to choose multiple options from a predefined list.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`I-RADG`}),_jsxs(_components.td,{children:[`A ‘radiogroup’ component is a group of sub questions where each question is mandatorily associated with a `,_jsx(Tooltip,{tip:`A 'qualifier' uses 'p/a/u' to denote 'present', 'absent', or 'unknown' statuses in medical data when standard radio or multi-select components don't accommodate the 'unknown' option.`,children:`qualifier`})]})]})]})]}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`3`,id:`response-format`,children:`Response Format`}),`\n`,_jsx(_components.p,{children:`The response contains the following fields:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`questions`}),`: List of questions`,`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`qid`}),`: Question ID`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`component_code`}),`: Component code`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`question_text`}),`: Question text`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`tip`}),`: Tip for the user`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`component_data`}),`: Component specific data. Refer to the `,_jsx(_components.a,{href:`#component-data-for-each-component-types`,children:`below section`}),` for more details`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`is_mandatory`}),`: True/False to show whether the question is mandatory to answer or not`]}),`\n`]}),`\n`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`progress`}),`: Progress of the assessment`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`is_last_question`}),`: True/False to show whether the question is the last question or not`]}),`\n`]}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`3`,id:`component-data-for-each-component-types`,children:`Component Data For Each Component Types`}),`\n`,_jsxs(Tabs,{id:`component_data`,children:[_jsxs(Tab,{icon:`magnifying-glass`,title:`I-ATSG`,id:`i-atsg`,\"data-child-heading-ids\":`[\"example-of-entire-question-for-i-atsg\"]`,children:[_jsx(Card,{title:`component_data for I-ATSG`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`11`,language:`yaml`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`yaml`,children:_jsxs(_components.code,{language:`yaml`,numberOfLines:`11`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`url`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`URL to fetch the autosuggest data`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`base_url`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Base URL`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`query_params`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Query parameters`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`search_query_param`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Search query parameter`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`autosuggest_static_choices`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`List of static choices`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`sections`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Sections of the autosuggest static choices`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`section_title`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Title of the section`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`choices`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`List of choices`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`id`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Unique choice identifier for the choice`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`common_name`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Choice label to be displayed on the UI`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`is_selected`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`True/False to show whether the choice is pre-selected or not`})]}),`\n`]})})})}),_jsx(Heading,{level:`4`,id:`example-of-entire-question-for-i-atsg`,children:`Example of entire question for I-ATSG`}),_jsx(CodeBlock,{filename:``,numberOfLines:`66`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`66`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"questions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"qid\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"component_code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"I-ATSG\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"question_text\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Add all symptoms\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"tip\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Type here to search for symptoms.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"component_data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"base_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://mdb.dev.eka.care/v1/sa-terms\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"query_params\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"gender\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"m\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"age\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"23\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"src\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"sn\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"search_query_param\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"q\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"autosuggest_static_choices\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"sections\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"section_title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Most Searched\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choices\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"47258974-a65c-11eb-8d02-1e003a340630\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"common_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Fever\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"473f9e54-a65c-11eb-8d02-1e003a340630\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"common_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Constipation\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"471e8e62-a65c-11eb-8d02-1e003a340630\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"common_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Cough\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"476efd70-a65c-11eb-8d02-1e003a340630\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"common_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Acidity\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"4736971e-a65c-11eb-8d02-1e003a340630\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"common_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Diarrhoea\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"4737ee0c-a65c-11eb-8d02-1e003a340630\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"common_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Vomiting\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"4720607a-a65c-11eb-8d02-1e003a340630\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"common_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Headache\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_selected\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"47172c6c-a65c-11eb-8d02-1e003a340630\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"common_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Stomach ache\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_mandatory\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"progress\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0.00\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_last_question\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]}),_jsxs(Tab,{icon:`square-check`,title:`Single-Select(I-RADO)`,id:`single-select-i-rado`,\"data-child-heading-ids\":`[\"example-of-entire-question-for-i-rado\"]`,children:[_jsx(Card,{title:`component_data for I-RADO`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`4`,language:`yaml`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`yaml`,children:_jsxs(_components.code,{language:`yaml`,numberOfLines:`4`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`- `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`choices`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`List of choices`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`choice_id`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Unique choice identifier for the choice`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`choice_label`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Choice label to be displayed on the UI`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`is_selected`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`True/False to show whether the choice is pre-selected or not`})]}),`\n`]})})})}),_jsx(Heading,{level:`4`,id:`example-of-entire-question-for-i-rado`,children:`Example of entire question for I-RADO`}),_jsx(CodeBlock,{filename:``,numberOfLines:`32`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`32`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"questions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"qid\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"component_code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"I-RADO\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"question_text\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Since when have you been experiencing fever\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"tip\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Select one of the options\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"component_data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choices\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"s_47259d92-a65c-11eb-8d02-1e003a340630\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_label\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Less than 1 day\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"s_4725b232-a65c-11eb-8d02-1e003a340630\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_label\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1 day to 4 days\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"s_4725c6a0-a65c-11eb-8d02-1e003a340630\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_label\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"More than 4 days\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"d_0e1592a4-e8c5-11eb-a89e-1e003a340631\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_label\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"I am not sure\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"progress\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"15.38\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_last_question\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]}),_jsxs(Tab,{icon:`list-check`,title:`Multi-Select(I-MULT)`,id:`multi-select-i-mult`,\"data-child-heading-ids\":`[\"example-of-entire-question-for-i-mult\"]`,children:[_jsx(Card,{title:`component_data for I-MULT`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`4`,language:`yaml`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`yaml`,children:_jsxs(_components.code,{language:`yaml`,numberOfLines:`4`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`- `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`choices`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`List of choices`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`choice_id`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Unique choice identifier for the choice`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`choice_label`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Choice label to be displayed on the UI`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`is_selected`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`True/False to show whether the choice is pre-selected or not`})]}),`\n`]})})})}),_jsx(Heading,{level:`4`,id:`example-of-entire-question-for-i-mult`,children:`Example of entire question for I-MULT`}),_jsx(CodeBlock,{filename:``,numberOfLines:`40`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`40`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"questions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"qid\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"component_code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"I-MULT\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"question_text\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Select all the symptoms you are experiencing\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"tip\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Select all option(s) that are applicable to you.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"component_data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choices\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"s_473b48a4-a65c-11eb-8d02-1e003a340630\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_label\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Throat pain\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"s_475b7ca0-a65c-11eb-8d02-1e003a340630\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_label\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Body aches\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"s_4739c8bc-a65c-11eb-8d02-1e003a340630\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_label\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Loss of weight\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"s_1fd50722-af36-11eb-8fc3-1e003a340631\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_label\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Runny nose or discharge from nose\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"s_4784e554-a65c-11eb-8d02-1e003a340630\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_label\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Loss of sense of smell\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"nota\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"choice_label\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"None of the above\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"progress\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"7.69\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_last_question\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]}),_jsxs(Tab,{icon:`circle-dot`,title:`Radio Group(I-RADG)`,id:`radio-group-i-radg`,\"data-child-heading-ids\":`[\"example-of-entire-question-for-i-radg\"]`,children:[_jsx(Card,{title:`component_data for I-RADG`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`7`,language:`yaml`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`yaml`,children:_jsxs(_components.code,{language:`yaml`,numberOfLines:`7`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`- `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`choices`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`List of choices`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`choice_id`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Unique choice identifier for the choice`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`choice_label`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Choice label to be displayed on the UI`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` - `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`qualifier`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Qualifier for the choice`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_compo
[...]
